Subject: bug#28753: 25.3; Functions to get alist from hash table and vice versa

From: Drew Adams <[email-masked]>
Date: Mon, 6 Nov 2017 08:19:16 -0800 (PST)

> It's great to have abstract, general-purpose
> functions that handle maps, sequences, streams,
> etc.  But not all such things are handled the
> same way in Lisp code.  An alist is itself quite
> general, so it can be and is used in different
> ways in different programs.  There is no single,
> simple mapping from an arbitrary alist to a hash
> table, I think.
> 
> We can provide a general-purpose function that
> chooses just one kind of mapping from an alist
> to, e.g., a hash table.  But I'm guessing that we
> should also provide a function that gives you more
> control over the conversion mapping.  IOW, maybe
> both a `map-into' kind of general-purpose behavior
> and a more specific `alist-to-hash-table' kind of
> behavior.
> 
> (But for the time being, `map-into' is only for
> list <-> hash table, so for the time being it
> seems less useful than the more specific
> function.)

Any news on this?  There is no general, abstract
solution proposed, so far, to meet the needs met
by the specific alist <-> hash-table code I sent.

Should we not add that code or similar to Emacs?